package com.cxyxiaomo.epp.user.dao;

import com.cxyxiaomo.epp.common.pojo.User;
import com.cxyxiaomo.epp.common.vo.UserVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface UserDao {

    public boolean addUser(User user);

    public boolean updateUser(User user);

    public boolean updatePwd(@Param("id") Integer id, @Param("password") String password);

    public User getUserById(Integer id);

    User getUserByUsername(String username);

    User getUserByWxcode(String wxcode);

    public List<User> getUserList(UserVO userVO);

    public boolean deleteUserById(Integer userId);
}
